body {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4; 
}

.filter {
  margin-bottom: 20px;
}

.heading{
  display: flex;
  align-items: center;
  justify-content: center;
  color:#5d6e80;
 font-size: 60px;
}

.filter label {
  margin-right: 10px;
  font-weight: bold;
  color: #5d6e80; 
}

#category-buttons {
  display: flex;
  gap: 10px; 
  margin-top: 10px; 
  flex-wrap: wrap; 
}
#category-buttons button {
  padding: 7px 30px; 
  font-size: 13px;
  border: none;
  border-radius: 25px; 
  background-color: #007bff; 
  color: white; 
  cursor: pointer;
  transition: background-color 0.3s, transform 0.2s; 
}

#category-buttons button:hover {
  background-color: #0056b3; 
  transform: scale(1.05);
}

.search-container {
  display: flex;
  align-items: center; 
  margin-bottom: 20px; 
}
.search-input {
  padding: 10px;
  width: 300px; 
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 25px 0 0 25px;
}

.search-button {
  padding: 10px;
  border: none;
  border-radius: 0 25px 25px 0; 
  background-color: #007bff; 
  color: white;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.2s; 
}

.search-button:hover {
  background-color: #0056b3;
  transform: scale(1.05); 
}

.container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between; 
}

.product {
  width: 23%;
  margin: 1%;
  border: 1px solid #ccc;
  padding: 10px;
  text-align: center;
  box-sizing: border-box;
  background-color: white; 
  border-radius: 5px; 
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); 
}

.product img {
  width: 100%; 
  height: 150px; 
  object-fit: cover; 
  border-radius: 5px; }

.product h3 {
  color: #007bff; 
  margin: 10px 0; 
  font-size: 18px; 
}


@media (max-width: 768px) {
  .search-input {
    width: 200px; 
  }

  .product {
    width: 48%; 
    margin: 1%; 
  }

  #category-buttons {
    flex-direction: column; 
    align-items: center; 
  }

  #category-buttons button {
    width: 100%; 
    margin-bottom: 10px; 
  }
}

@media (max-width: 480px) {
  .product {
    width: 100%; 
    margin: 5px 0; 
  }

  .search-input {
    width: 150px; 
  }

  #category-buttons button {
    font-size: 12px; 
  }
}
.col-lg-3 {
  flex: 0 0 25%; 
  max-width: 25%; 
}
.col-md-6 {
  flex: 0 0 50%; 
  max-width: 50%; 
}
.text-light {
  color: #f4f4f4;
}

.mb-4 {
  margin-bottom: 1.5rem; 
}


@media (max-width: 768px) {
  .col-lg-3 {
      max-width: 100%; 
  }
}



